# Uses of Interface
net.shibboleth.shared.httpclient.HttpClientContextHandler

Packages that use HttpClientContextHandler
Package
Description
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.spring.httpclient.resource
Spring resource classes supporting HttpClient access.
net.shibboleth.utilities.java.support.httpclient
Legacy Classes for working with Apache HttpClient.

## Uses of HttpClientContextHandler in net.shibboleth.shared.httpclient

Fields in net.shibboleth.shared.httpclient with type parameters of type HttpClientContextHandler
Modifier and Type
Field
Description
`private List<HttpClientContextHandler>`
ContextHandlingHttpClient.`handlers`
Optional list of static handlers supplied to this class instance.
`private List<HttpClientContextHandler>`
HttpClientBuilder.`staticContextHandlers`
List of static context handlers.
Methods in net.shibboleth.shared.httpclient that return types with arguments of type HttpClientContextHandler
Modifier and Type
Method
Description
`static List<HttpClientContextHandler>`
HttpClientSupport.`getDynamicContextHandlerList(org.apache.hc.client5.http.protocol.HttpClientContext context)`
Get the list of `HttpClientContextHandler` for the `HttpClientContext`.
`List<HttpClientContextHandler>`
HttpClientBuilder.`getStaticContextHandlers()`
Get the list of static `HttpClientContextHandler`.
Methods in net.shibboleth.shared.httpclient with parameters of type HttpClientContextHandler
Modifier and Type
Method
Description
`static void`
HttpClientSupport.`addDynamicContextHandlerFirst(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler)`
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the first handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerFirst(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler, boolean uniqueType)`
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the first handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerLast(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler)`
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the last handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerLast(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler, boolean uniqueType)`
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the last handler list position.
Method parameters in net.shibboleth.shared.httpclient with type arguments of type HttpClientContextHandler
Modifier and Type
Method
Description
`void`
HttpClientBuilder.`setStaticContextHandlers(List<HttpClientContextHandler> handlers)`
Set the list of static `HttpClientContextHandler`.
Constructor parameters in net.shibboleth.shared.httpclient with type arguments of type HttpClientContextHandler
Modifier
Constructor
Description
``
`ContextHandlingHttpClient(org.apache.hc.client5.http.classic.HttpClient client, List<HttpClientContextHandler> staticHandlers)`
Constructor.

## Uses of HttpClientContextHandler in net.shibboleth.shared.spring.httpclient.resource

Fields in net.shibboleth.shared.spring.httpclient.resource declared as HttpClientContextHandler
Modifier and Type
Field
Description
`private HttpClientContextHandler`
HTTPResource.`httpClientContextHandler`
Optional handler to pre- and post-process context.
Methods in net.shibboleth.shared.spring.httpclient.resource with parameters of type HttpClientContextHandler
Modifier and Type
Method
Description
`HTTPResource`
HTTPResource.`createRelative(String relativePath, HttpClientContextHandler handler)`
Create a resource relative to us, but use the supplied handler.
`void`
HTTPResource.`setHttpClientContextHandler(HttpClientContextHandler handler)`
Set a handler to manipulate the `HttpClientContext`.

## Uses of HttpClientContextHandler in net.shibboleth.utilities.java.support.httpclient

Methods in net.shibboleth.utilities.java.support.httpclient that return types with arguments of type HttpClientContextHandler
Modifier and Type
Method
Description
`static List<HttpClientContextHandler>`
HttpClientSupport.`getDynamicContextHandlerList(org.apache.hc.client5.http.protocol.HttpClientContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the list of `HttpClientContextHandler` for the `HttpClientContext`.
Methods in net.shibboleth.utilities.java.support.httpclient with parameters of type HttpClientContextHandler
Modifier and Type
Method
Description
`static void`
HttpClientSupport.`addDynamicContextHandlerFirst(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler)`
Deprecated, for removal: This API element is subject to removal in a future version.
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the first handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerFirst(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler, boolean uniqueType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the first handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerLast(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler)`
Deprecated, for removal: This API element is subject to removal in a future version.
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the last handler list position.
`static void`
HttpClientSupport.`addDynamicContextHandlerLast(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientContextHandler handler, boolean uniqueType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Add the specified instance of `HttpClientContextHandler` to the `HttpClientContext` in the last handler list position.